### Class

# Ide DebuggerBreakpoints

#### Description

    final class Ide.DebuggerBreakpoints : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### ide_debugger_breakpoints_foreach

Call `func` for every `IdeDebuggerBreakpoint` in `self`.

Available since: 3.32

###### ide_debugger_breakpoints_get_file

Gets the “file” property, which is the file that breakpoints within this container belong to.

Available since: 3.32

###### ide_debugger_breakpoints_get_line

Gets the breakpoint that has been registered at a given line, or `NULL` if no breakpoint is registered there.

Available since: 3.32

###### ide_debugger_breakpoints_get_line_mode

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.DebuggerBreakpoints:file

No description available.

#### Signals

###### Ide.DebuggerBreakpoints::changed

No description available.

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeDebuggerBreakpointsClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.